### Hierarchy

- GraphObject
  - Placeholder

If a Placeholder is in the visual tree of a Group, it represents the area of all of the member Parts of that Group. If a Placeholder is in the visual tree of an Adornment, it represents the area of the Adornment.adornedObject. Unlike other GraphObjects, the Placeholder measures itself based on these criteria, and not on its own desiredSize or scale. It will set its own natural bounds and scale, and in the case of Groups will set the Group's location.

It can only be used in the visual tree of a Group node or an Adornment. There can be at most one Placeholder in a Group or an Adornment.

See the documentation for Group and Adornment for descriptions of the Placeholder roles in each.

## Index

### Constructors

- constructor

### Properties

- padding

## Constructors

### constructor

- new Placeholder(): Placeholder

- This normally does not need any initialization, except for maybe setting padding.

  #### Returns Placeholder

## Properties

### padding : MarginLike

- Gets or sets the padding around the members of the Group or around the Adornment.adornedObject GraphObject. The initial value is a Margin of zero on all sides.

Copyright © 1998-2019 by Northwoods Software Corporation.